using System;

namespace InABox.Mobile
{
    public class BooleanToStringConverter : AbstractConverter<bool,string>
    {
        public String TrueValue { get; set; }
        public String FalseValue { get; set; }

        protected override String Convert(bool value, object parameter = null)
        {
            return value ? TrueValue : FalseValue;
        }

        public BooleanToStringConverter()
        {
            TrueValue = "True";
            FalseValue = "False";
        }
        
    }
}